# Generated from sidekiq-cron-web-admin-1.2.10.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sidekiq-cron-web-admin

Name: rubygem-%{gem_name}
Version: 1.2.10
Release: 1%{?dist}
Summary: sidekiq-cron web admin
License: MIT
URL: https://github.com/1debit/sidekiq-cron-web-admin
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest)
# BuildRequires: rubygem(mocha)
# BuildRequires: rubygem(rack)
# BuildRequires: rubygem(rack-test)
# BuildRequires: rubygem(redis-namespace) >= 1.5.2
# BuildRequires: rubygem(shoulda-context)
# BuildRequires: rubygem(test-unit)
BuildArch: noarch

%description
Gives sidekiq-cron web admin removing all of the code for running the cron
jobs.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.circleci
%{gem_instdir}/.env.example
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/Dockerfile
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/Makefile
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/docker-compose.yml
%{gem_instdir}/sidekiq-cron-web-admin.gemspec

%changelog
* Wed Sep 15 2021 mockbuilder - 1.2.10-1
- Initial package
